geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From xiam...@apache.org
Subject svn commit: r1086854 - /geronimo/sandbox/forrest/tck/svnupdate.sh
Date Wed, 30 Mar 2011 06:26:28 GMT
Author: xiaming
Date: Wed Mar 30 06:26:28 2011
New Revision: 1086854

URL: http://svn.apache.org/viewvc?rev=1086854&view=rev
Log:
Add exit status in case of svn update failures

Modified:
    geronimo/sandbox/forrest/tck/svnupdate.sh

Modified: geronimo/sandbox/forrest/tck/svnupdate.sh
URL: http://svn.apache.org/viewvc/geronimo/sandbox/forrest/tck/svnupdate.sh?rev=1086854&r1=1086853&r2=1086854&view=diff
==============================================================================
--- geronimo/sandbox/forrest/tck/svnupdate.sh (original)
+++ geronimo/sandbox/forrest/tck/svnupdate.sh Wed Mar 30 06:26:28 2011
@@ -18,6 +18,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
         echo "$OWB_REV" > owb_rev
         [ -d $HOME/tckdata/tckbuildsrc/openwebbeans ] && rm -rf openwebbeans
         svn co https://svn.apache.org/repos/asf/openwebbeans/trunk@$OWB_REV openwebbeans
+        [ $? -ne 0 ] && exit 1
         echo "Openwebbeans is checked out at revision $OWB_REV!"
     else
         if [ "$OWB_REV" = "" ]; then
@@ -27,6 +28,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
                 echo "Update openwebbeans to latest!"
                 cd $HOME/tckdata/tckbuildsrc/openwebbeans
                 svn --non-interactive --accept theirs-full update
+                [ $? -ne 0 ] && exit 1
                 cd ..            
             fi
         else
@@ -40,6 +42,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
         echo "$OPENEJB_REV" > openejb_rev
         [ -d $HOME/tckdata/tckbuildsrc/openejb ] && rm -rf openejb
         svn co https://svn.apache.org/repos/asf/openejb/trunk/openejb3@$OPENEJB_REV openejb
+        [ $? -ne 0 ] && exit 1
         echo "Openejb is checked out at revision $OPENEJB_REV!"
     else
         if [ "$OPENEJB_REV" = "" ]; then
@@ -48,6 +51,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
                 echo "Update openejb to latest!"
                 cd $HOME/tckdata/tckbuildsrc/openejb
                 svn --non-interactive --accept theirs-full update
+                [ $? -ne 0 ] && exit 1
                 cd ..            
             fi
         else
@@ -62,6 +66,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
         echo "$WINK_REV" > wink_rev
         [ -d $HOME/tckdata/tckbuildsrc/wink ] && rm -rf wink
         svn co https://svn.apache.org/repos/asf/incubator/wink/trunk@$WINK_REV wink
+        [ $? -ne 0 ] && exit 1
         echo "wink is checked out at revision $WINK_REV!"
     else
         if [ "$WINK_REV" = "" ]; then
@@ -70,6 +75,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
                 echo "Update wink to latest!"
                 cd $HOME/tckdata/tckbuildsrc/wink
                 svn --non-interactive --accept theirs-full update
+                [ $? -ne 0 ] && exit 1
                 cd ..            
             fi
         else
@@ -84,6 +90,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
         echo "$GERONIMO_REV" > geronimo_rev
         [ -d $HOME/tckdata/tckbuildsrc/geronimo ] && rm -rf geronimo
         svn co https://svn.apache.org/repos/asf/geronimo/server/trunk@$GERONIMO_REV geronimo
+        [ $? -ne 0 ] && exit 1
         echo "geronimo is checked out at revision $GERONIMO_REV!"
     else
         if [ "$GERONIMO_REV" = "" ]; then
@@ -92,6 +99,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
                 echo "Update geronimo to latest!"
                 cd $HOME/tckdata/tckbuildsrc/geronimo
                 svn --non-interactive --accept theirs-full update
+                [ $? -ne 0 ] && exit 1
                 cd ..
             fi
         else
@@ -105,6 +113,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
         echo "$GERONIMOTCK_REV" > geronimotck_rev
         [ -d $HOME/tckdata/tckbuildsrc/geronimotck ] && rm -rf geronimotck
         svn co https://svn.apache.org/repos/tck/geronimo-tck/porting/branches/3.0@$GERONIMOTCK_REV
geronimotck
+        [ $? -ne 0 ] && exit 1
         echo "geronimotck is checked out at revision $GERONIMOTCK_REV!"
     else
         if [ "$GERONIMOTCK_REV" = "" ]; then
@@ -113,6 +122,7 @@ if [ -d $HOME/tckdata/tckbuildsrc ]; the
                 echo "Update geronimotck to latest!"
                 cd $HOME/tckdata/tckbuildsrc/geronimotck
                 svn --non-interactive --accept theirs-full update
+                [ $? -ne 0 ] && exit 1
                 cd ..
             fi
         else
@@ -126,17 +136,24 @@ else
     mkdir -p $HOME/tckdata/tckbuildsrc
     cd $HOME/tckdata/tckbuildsrc
     svn co https://svn.apache.org/repos/asf/openwebbeans/trunk@$OWB_REV openwebbeans
+    [ $? -ne 0 ] && exit 1
     echo "$OWB_REV" > owb_rev
     svn co https://svn.apache.org/repos/asf/openejb/trunk/openejb3@$OPENEJB_REV openejb
+    [ $? -ne 0 ] && exit 1
     echo "$OPENEJB_REV" > openejb_rev
     svn co https://svn.apache.org/repos/asf/incubator/wink/trunk@$WINK_REV wink
+    [ $? -ne 0 ] && exit 1
     echo "$WINK_REV" > wink_rev
     svn co https://svn.apache.org/repos/asf/geronimo/server/trunk@$GERONIMO_REV geronimo
+    [ $? -ne 0 ] && exit 1
     echo "$GERONIMO_REV" > geronimo_rev
     svn co https://svn.apache.org/repos/tck/geronimo-tck/porting/branches/3.0@$GERONIMOTCK_REV
geronimotck
+    [ $? -ne 0 ] && exit 1
     echo "$GERONIMOTCK_REV" > geronimotck_rev
 fi
 
+exit 0
+
 #if [ -d $HOME/tckdata/tckbuildsrc ]
 #then
 #    cd $HOME/tckdata/tckbuildsrc



Mime
View raw message